org.eclipse.ease.ui.help.hovers

## Class MethodHelp

- java.lang.Object
- - org.eclipse.ease.ui.help.hovers.MethodHelp

All Implemented Interfaces:
  IHoverHelp

    public class MethodHelp
    extends java.lang.Object
    implements IHoverHelp

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.ease.ui.help.hovers.IHoverHelp

`IHoverHelp.IMementoVisitor`

### Constructor Summary

Constructors
Constructor and Description
`MethodHelp(java.net.URL helpLocation, IMemento helpContent, java.lang.reflect.Method method)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDescription()`
`java.util.List<IHoverHelp>` `getExamples()`
`java.util.List<IHoverHelp>` `getExceptionDescriptions()`
`java.lang.String` `getHoverContent()`
`java.lang.String` `getName()`
`java.util.List<IHoverHelp>` `getParameterDescriptions()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.ui.help.hovers.IHoverHelp

`getImageAndLabel, getNodeContent, resolveUrl, updateRelativeLinks, visitMemento`

### Constructor Detail

#### MethodHelp

    public MethodHelp(java.net.URL helpLocation,
                      IMemento helpContent,
                      java.lang.reflect.Method method)
               throws java.lang.Exception

Parameters:
  `helpLocation` -
  `helpContent` -
  `method` -
Throws:
  `java.lang.Exception`

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `IHoverHelp`

#### getDescription

    public java.lang.String getDescription()

Specified by:
  `getDescription` in interface `IHoverHelp`

#### getParameterDescriptions

    public java.util.List<IHoverHelp> getParameterDescriptions()

#### getExceptionDescriptions

    public java.util.List<IHoverHelp> getExceptionDescriptions()

#### getExamples

    public java.util.List<IHoverHelp> getExamples()

#### getHoverContent

    public java.lang.String getHoverContent()

Specified by:
  `getHoverContent` in interface `IHoverHelp`